javax.persistence

## Class EntityExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.EntityExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class EntityExistsException
    extends PersistenceException

Thrown by the persistence provider when `EntityManager.persist(Object)` is called and the entity already exists. The current transaction, if one is active, will be marked for rollback.

If the entity already exists, the `EntityExistsException` may be thrown when the persist operation is invoked, or the `EntityExistsException` or another `PersistenceException` may be thrown at flush or commit time.

The current transaction, if one is active and the persistence context has been joined to it, will be marked for rollback.

See Also:
  `EntityManager.persist(Object)`, Serialized Form
Since:
  Java Persistence 1.0

### Constructor Summary

Constructors
Constructor and Description
`EntityExistsException()` Constructs a new `EntityExistsException` exception with `null` as its detail message.
`EntityExistsException(java.lang.String message)` Constructs a new `EntityExistsException` exception with the specified detail message.
`EntityExistsException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `EntityExistsException` exception with the specified detail message and cause.
`EntityExistsException(java.lang.Throwable cause)` Constructs a new `EntityExistsException` exception with the specified cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EntityExistsException

    public EntityExistsException()

Constructs a new `EntityExistsException` exception with `null` as its detail message.

#### EntityExistsException

    public EntityExistsException(java.lang.String message)

Constructs a new `EntityExistsException` exception with the specified detail message.

Parameters:
  `message` - the detail message.

#### EntityExistsException

    public EntityExistsException(java.lang.String message,
                                 java.lang.Throwable cause)

Constructs a new `EntityExistsException` exception with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

#### EntityExistsException

    public EntityExistsException(java.lang.Throwable cause)

Constructs a new `EntityExistsException` exception with the specified cause.

Parameters:
  `cause` - the cause.